// Designed by Toshio Iwata at DIGITALFILTER.COM 2015/09/22

module maxlab (
	RST_N,
	CLK,
	LED1
 ); 

input		CLK, RST_N;
output		LED1;
reg [25:0]	counter;
wire 		counter_clr, counter_dec;

always @(negedge RST_N or posedge CLK)
begin
	if (RST_N == 1'b0) begin
		counter <= 0;
	end else begin
		if(counter_clr == 1'b1) begin
			counter <= 0;
		end else begin
			counter <= counter + 1;
		end
	end
end

assign counter_clr = (counter == 49999999) ? 1'b1 : 1'b0;
assign counter_dec = (counter < 25000000) ? 1'b1 : 1'b0;
assign LED1 = ! counter_dec;

endmodule